package com.ruoyi.ss.vip.service;

import com.ruoyi.ss.vip.domain.Vip;
import com.ruoyi.ss.vip.domain.VipVO;

/**
 * @author wjh
 * 2024/12/9
 */
public interface VipValidator {

    /**
     * 新增、更新前校验
     */
    void beforeCheck(Vip data);

    /**
     * 新增、更新后校验
     */
    void afterCheck(VipVO vo);

    /**
     * 是否允许查看
     */
    boolean canView(VipVO vo, Long userId);
}
